ReferenceAPI ReferenceManagement
Update an OAuth client
Mutate the client's name, redirect URIs, allowed scopes, or allowed grant types. Each field is optional.
Requires the clients:write scope.
x-api-key<token>
Anthropic-style API key header.
In: header
Path Parameters
nsid*string
Id of the target namespace. Must be owned by the caller (or equal a namespace-baked credential's own namespace), else 404.
Request Body
application/json
Request body. See the endpoint description for shape.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://api.bitrouter.ai/v1/namespaces/string/oauth/clients/{client_id}" \ -H "Content-Type: application/json" \ -d '{}'{}{
"error": null
}{
"error": null
}{
"error": null
}How is this guide?